Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the Spreadsheet-ParseExcel-Simple CPAN distribution.

Report information
The Basics
Id: 22758
Status: open
Priority: 0/
Queue: Spreadsheet-ParseExcel-Simple

People
Owner: Nobody in particular
Requestors: christopher.cradock [...] oup.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list
Date: Thu, 2 Nov 2006 14:26:55 -0000
To: <bug-Spreadsheet-ParseExcel-Simple [...] rt.cpan.org>
From: "CRADOCK, Christopher" <christopher.cradock [...] oup.com>
Download (untitled) / with headers
text/plain 979b
Whilst trying to install ParseExcel::Simple using CPAN the test stage failed with the message: t/01..............skipped all skipped: tests need Spreadsheet::WriteExcel::Simple 1.03 + File::Temp t/02..............Can't locate Spreadsheet/WriteExcel.pm in ... (long directory list) # Looks like your test died before it could output anything. t/02..............dubious Test returned status 255 (wstat 65280, 0xff00) t/pod-coverage....skipped all skipped: Test::Pod::Coverage 1.00 required for testing POD coverage t/pod.............ok Failed Test Stat Wstat Total Fail Failed List of Failed ------------------------------------------------------------------------ ------- t/02.t 255 65280 ?? ?? % ?? 2 tests skipped. Failed 1/4 test scripts, 75.00% okay. 0/1 subtests failed, 100.00% okay. make: *** [test_dynamic] Error 255 Can we please have Spreadsheet::WriteExcel added to the PREREQ_PM list? Chris.
Subject: Re: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list
Date: Thu, 02 Nov 2006 14:44:24 +0000
To: bug-Spreadsheet-ParseExcel-Simple [...] rt.cpan.org
From: Tony Bowden <tony [...] tmtm.com>
Download (untitled) / with headers
text/plain 541b
CRADOCK, Christopher via RT wrote: Show quoted text
> all skipped: tests need Spreadsheet::WriteExcel::Simple 1.03 + > File::Temp > > all skipped: Test::Pod::Coverage 1.00 required for testing POD > coverage > > > Can we please have Spreadsheet::WriteExcel added to the PREREQ_PM list? >
WriteExcel should most certainly not be a pre-req for the module. The tests are meant to skip if it's not installed, just as they're meant to skip if Test::Pod::Coverage isn't installed either. Can you see why it died instead of skipping? Tony
Subject: RE: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list
Date: Thu, 2 Nov 2006 15:40:00 -0000
To: <bug-Spreadsheet-ParseExcel-Simple [...] rt.cpan.org>
From: "CRADOCK, Christopher" <christopher.cradock [...] oup.com>
Download (untitled) / with headers
text/plain 1.3k
Tony, its got an unguarded "use Spreadsheet::WriteExcel" in t/02.t Viz. t/02.t reads: use Test::More; eval { require Spreadsheet::WriteExcel }; plan skip_all => "Need Spreadsheet::WriteExcel for this test" if $@; plan tests => 2; Where as it probably should read: use Test::More; BEGIN { eval { require Spreadsheet::WriteExcel }; plan skip_all => "Need Spreadsheet::WriteExcel for this test" if $@; } plan tests => 2; Chris. Show quoted text
-----Original Message----- From: tony@tmtm.com via RT [mailto:bug-Spreadsheet-ParseExcel-Simple@rt.cpan.org] Sent: 02 November 2006 14:45 To: CRADOCK, Christopher Subject: Re: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list <URL: http://rt.cpan.org/Ticket/Display.html?id=22758 > CRADOCK, Christopher via RT wrote:
> all skipped: tests need Spreadsheet::WriteExcel::Simple 1.03 + > File::Temp > > all skipped: Test::Pod::Coverage 1.00 required for testing POD > coverage > > > Can we please have Spreadsheet::WriteExcel added to the PREREQ_PM
list?
>
WriteExcel should most certainly not be a pre-req for the module. The tests are meant to skip if it's not installed, just as they're meant to skip if Test::Pod::Coverage isn't installed either. Can you see why it died instead of skipping? Tony
Subject: Re: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list
Date: Thu, 02 Nov 2006 16:12:48 +0000
To: bug-Spreadsheet-ParseExcel-Simple [...] rt.cpan.org
From: Tony Bowden <tony [...] tmtm.com>
Download (untitled) / with headers
text/plain 664b
CRADOCK, Christopher via RT wrote: Show quoted text
> Viz. t/02.t reads: > use Test::More; > eval { require Spreadsheet::WriteExcel }; > plan skip_all => "Need Spreadsheet::WriteExcel for this test" if $@; > plan tests => 2; > > Where as it probably should read: > > use Test::More; > BEGIN { > eval { require Spreadsheet::WriteExcel }; > plan skip_all => "Need Spreadsheet::WriteExcel for this test" if $@; > } > plan tests => 2; >
As in 90% of cases, bugs can usually be quashed by removing code, rather than adding more. In this case, it should just a matter of removing the later 'use Spreadsheet::WriteExcel;' and letting the 'require' here do its job in peace. Tony
Subject: RE: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list
Date: Fri, 3 Nov 2006 09:29:17 -0000
To: <bug-Spreadsheet-ParseExcel-Simple [...] rt.cpan.org>
From: "CRADOCK, Christopher" <christopher.cradock [...] oup.com>
Download (untitled) / with headers
text/plain 737b
Tony, I don't disagree; but the BEGIN { .... } would guarantee that it got run (and checked) first without any implicit order dependence within the rest of the test script. Chris. Show quoted text
-----Original Message----- From: tony@tmtm.com via RT [mailto:bug-Spreadsheet-ParseExcel-Simple@rt.cpan.org] Sent: 02 November 2006 16:14 To: CRADOCK, Christopher Subject: Re: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list As in 90% of cases, bugs can usually be quashed by removing code, rather than adding more. In this case, it should just a matter of removing the later 'use Spreadsheet::WriteExcel;' and letting the 'require' here do its job in peace. Tony
Subject: Re: [rt.cpan.org #22758] Spreadsheet::ParseExcel::Simple install depends on Spreadsheet::WriteExcel but isn't part of the package list
Date: Fri, 03 Nov 2006 10:38:14 +0000
To: bug-Spreadsheet-ParseExcel-Simple [...] rt.cpan.org
From: Tony Bowden <tony [...] tmtm.com>
Download (untitled) / with headers
text/plain 274b
CRADOCK, Christopher via RT wrote: Show quoted text
> Tony, I don't disagree; but the BEGIN { .... } would guarantee that it > got run (and checked) first without any implicit order dependence within > the rest of the test script. >
I don't see why that's necessary or important. Tony .


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.